aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.GetGroupPolicy

Synopsis

- data GetGroupPolicy = GetGroupPolicy {
  - ggpPolicyName :: Text
  - ggpGroupName :: Text
  }
- data GetGroupPolicyResponse = GetGroupPolicyResponse {
  - ggprPolicyDocument :: Text
  - ggprPolicyName :: Text
  - ggprGroupName :: Text
  }

# Documentation

data GetGroupPolicy #

Retreives the specified policy document for the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_GetGroupPolicy.html

Constructors

GetGroupPolicy |

Fields

- ggpPolicyName :: Text

  Name of the policy.

- ggpGroupName :: Text

  Name of the group with whom the policy is associated.

#### Instances

Instances details

SignQuery GetGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type ServiceConfiguration GetGroupPolicy |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ServiceConfiguration GetGroupPolicy = IamConfiguration

Methods

signQuery :: GetGroupPolicy -> ServiceConfiguration GetGroupPolicy queryType -> SignatureData -> SignedQuery #

Show GetGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy Methods showsPrec :: Int -> GetGroupPolicy -> ShowS # show :: GetGroupPolicy -> String # showList :: [GetGroupPolicy] -> ShowS #
Eq GetGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy Methods (==) :: GetGroupPolicy -> GetGroupPolicy -> Bool # (/=) :: GetGroupPolicy -> GetGroupPolicy -> Bool #
Ord GetGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Methods

compare :: GetGroupPolicy -> GetGroupPolicy -> Ordering #

(<) :: GetGroupPolicy -> GetGroupPolicy -> Bool #

(<=) :: GetGroupPolicy -> GetGroupPolicy -> Bool #

(>) :: GetGroupPolicy -> GetGroupPolicy -> Bool #

(>=) :: GetGroupPolicy -> GetGroupPolicy -> Bool #

max :: GetGroupPolicy -> GetGroupPolicy -> GetGroupPolicy #

min :: GetGroupPolicy -> GetGroupPolicy -> GetGroupPolicy #

ResponseConsumer GetGroupPolicy GetGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type ResponseMetadata GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetGroupPolicy -> IORef (ResponseMetadata GetGroupPolicyResponse) -> HTTPResponseConsumer GetGroupPolicyResponse #

Transaction GetGroupPolicy GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy
type ServiceConfiguration GetGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ServiceConfiguration GetGroupPolicy = IamConfiguration

data GetGroupPolicyResponse #

Constructors

GetGroupPolicyResponse |

Fields

- ggprPolicyDocument :: Text

  The policy document.

- ggprPolicyName :: Text

  Name of the policy.

- ggprGroupName :: Text

  Name of the group with whom the policy is associated.

#### Instances

Instances details

AsMemoryResponse GetGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type MemoryResponse GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type MemoryResponse GetGroupPolicyResponse = GetGroupPolicyResponse

Methods

loadToMemory :: GetGroupPolicyResponse -> ResourceT IO (MemoryResponse GetGroupPolicyResponse) #

Show GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy Methods showsPrec :: Int -> GetGroupPolicyResponse -> ShowS # show :: GetGroupPolicyResponse -> String # showList :: [GetGroupPolicyResponse] -> ShowS #
Eq GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy Methods (==) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool # (/=) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool #
Ord GetGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Methods

compare :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Ordering #

(<) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool #

(<=) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool #

(>) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool #

(>=) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool #

max :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> GetGroupPolicyResponse #

min :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> GetGroupPolicyResponse #

ResponseConsumer GetGroupPolicy GetGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type ResponseMetadata GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetGroupPolicy -> IORef (ResponseMetadata GetGroupPolicyResponse) -> HTTPResponseConsumer GetGroupPolicyResponse #

Transaction GetGroupPolicy GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy
type MemoryResponse GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type MemoryResponse GetGroupPolicyResponse = GetGroupPolicyResponse
type ResponseMetadata GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata